> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 对话模型列表

> 接口说明：获取当前账号可用的对话模型列表及能力信息，用于在调用模型中转或聊天接口前选择模型、展示模型能力和价格信息。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/ai/models/chat
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: AI 服务/模型中转
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/互动
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
paths:
  /api/ai/models/chat:
    get:
      tags:
        - AI 服务/模型中转
      summary: 对话模型列表
      description: 接口说明：获取当前账号可用的对话模型列表及能力信息，用于在调用模型中转或聊天接口前选择模型、展示模型能力和价格信息。
      operationId: ChatController_getChatModels
      parameters:
        - name: channel
          in: query
          description: 渠道标识
          required: false
          schema:
            type: string
        - name: scene
          in: query
          description: 业务场景
          required: false
          schema:
            type: string
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ChatModelConfigVo'
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
                required:
                  - code
                  - message
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      - name: string
                        description: string
                        tags: []
                        channel: openai
                        inputModalities:
                          - text
                        outputModalities:
                          - text
                        pricing:
                          price: string
                          originPrice: string
                        summary: string
                        logo: string
                        mainTag: string
                        scenes:
                          - string
                        fixedImagePricing:
                          - resolution: string
                            price: 1
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: 参数验证失败
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security: []
components:
  schemas:
    ChatModelConfigVo:
      type: object
      properties:
        name:
          type: string
          description: 名称
        description:
          type: string
          description: 描述
        summary:
          type: string
          description: 简短摘要
        logo:
          type: string
          description: logo
        tags:
          default: []
          type: array
          items:
            type: string
          description: 标签
        mainTag:
          type: string
          description: 主要标签
        channel:
          type: string
          description: 渠道
          enum:
            - openai
            - deepseek
            - anthropic
            - gemini
        scenes:
          description: 适用场景
          type: array
          items:
            type: string
        inputModalities:
          type: array
          items:
            type: string
            enum:
              - text
              - image
              - video
              - audio
          description: 支持输入模态
        outputModalities:
          type: array
          items:
            type: string
            enum:
              - text
              - image
              - video
              - audio
          description: 支持输出模态
        pricing:
          anyOf:
            - type: object
              properties:
                price:
                  type: string
                  description: 价格
                originPrice:
                  description: 原价
                  type: string
              required:
                - price
              additionalProperties: false
            - type: object
              properties:
                tiers:
                  minItems: 1
                  type: array
                  items:
                    type: object
                    properties:
                      maxInputTokens:
                        type: integer
                        exclusiveMinimum: true
                        maximum: 9007199254740991
                        minimum: 0
                        description: 当前价格层级适用的最大输入 token 数
                      input:
                        type: object
                        properties:
                          text:
                            type: string
                          image:
                            type: string
                          video:
                            type: string
                          audio:
                            type: string
                          cacheRead:
                            type: string
                          cacheWrite5m:
                            type: string
                          cacheWrite1h:
                            type: string
                        required:
                          - text
                        additionalProperties: false
                        description: 当前层级的输入侧计费信息
                      output:
                        type: object
                        properties:
                          text:
                            type: string
                          image:
                            type: string
                          video:
                            type: string
                          audio:
                            type: string
                          cacheRead:
                            type: string
                          cacheWrite5m:
                            type: string
                          cacheWrite1h:
                            type: string
                        required:
                          - text
                        additionalProperties: false
                        description: 当前层级的输出侧计费信息
                    required:
                      - input
                      - output
                    additionalProperties: false
                  description: 分层价格
                originPricing:
                  description: 分层原价
                  type: object
                  properties:
                    tiers:
                      minItems: 1
                      type: array
                      items:
                        type: object
                        properties:
                          maxInputTokens:
                            type: integer
                            exclusiveMinimum: true
                            maximum: 9007199254740991
                            minimum: 0
                            description: 当前价格层级适用的最大输入 token 数
                          input:
                            type: object
                            properties:
                              text:
                                type: string
                              image:
                                type: string
                              video:
                                type: string
                              audio:
                                type: string
                              cacheRead:
                                type: string
                              cacheWrite5m:
                                type: string
                              cacheWrite1h:
                                type: string
                            required:
                              - text
                            additionalProperties: false
                            description: 当前层级的输入侧计费信息
                          output:
                            type: object
                            properties:
                              text:
                                type: string
                              image:
                                type: string
                              video:
                                type: string
                              audio:
                                type: string
                              cacheRead:
                                type: string
                              cacheWrite5m:
                                type: string
                              cacheWrite1h:
                                type: string
                            required:
                              - text
                            additionalProperties: false
                            description: 当前层级的输出侧计费信息
                        required:
                          - input
                          - output
                        additionalProperties: false
                      description: 分层价格
                  required:
                    - tiers
                  additionalProperties: false
              required:
                - tiers
              additionalProperties: false
          description: 价格
        fixedImagePricing:
          type: array
          items:
            type: object
            properties:
              resolution:
                type: string
                description: 图片规格
              price:
                type: number
                description: 图片价格
            required:
              - resolution
              - price
            additionalProperties: false
          description: 固定图片价格
      required:
        - name
        - description
        - tags
        - channel
        - inputModalities
        - outputModalities
        - pricing
      additionalProperties: false

````